[arch-commits] Commit in policykit/repos (4 files)

Jan de Groot jgc at archlinux.org
Sun May 10 12:07:21 EDT 2009


    Date: Sunday, May 10, 2009 @ 12:07:20
  Author: jgc
Revision: 38831

Merged revisions 38830 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/policykit/trunk

........
  r38830 | jgc | 2009-05-10 16:07:03 +0000 (Sun, 10 May 2009) | 2 lines
  
  upgpkg: policykit 0.9-9
      Fix dbus permissions for new dbus
........

Added:
  policykit/repos/extra-x86_64/entry-leak.patch
    (from rev 38830, policykit/trunk/entry-leak.patch)
  policykit/repos/extra-x86_64/polkit-0.8-dbus-policy.patch
    (from rev 38830, policykit/trunk/polkit-0.8-dbus-policy.patch)
Modified:
  policykit/repos/extra-x86_64/	(properties)
  policykit/repos/extra-x86_64/PKGBUILD

------------------------------+
 PKGBUILD                     |   13 +++++++++----
 entry-leak.patch             |   37 +++++++++++++++++++++++++++++++++++++
 polkit-0.8-dbus-policy.patch |   12 ++++++++++++
 3 files changed, 58 insertions(+), 4 deletions(-)


Property changes on: policykit/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /policykit/trunk:1-38501
   + /policykit/trunk:1-38830

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-10 16:07:03 UTC (rev 38830)
+++ extra-x86_64/PKGBUILD	2009-05-10 16:07:20 UTC (rev 38831)
@@ -3,7 +3,7 @@
 
 pkgname=policykit
 pkgver=0.9
-pkgrel=8
+pkgrel=9
 pkgdesc="Application development toolkit for controlling system-wide privileges"
 arch=(i686 x86_64)
 license=('custom')
@@ -15,15 +15,20 @@
 install=policykit.install
 source=(http://hal.freedesktop.org/releases/PolicyKit-${pkgver}.tar.gz
 	polkit.pam
-	pk-ck-api-change.patch)
-
+	pk-ck-api-change.patch
+	polkit-0.8-dbus-policy.patch
+	entry-leak.patch)
 md5sums=('802fd13ae41f73d79359e5ecb0a98716'
          '6564f95878297b954f0572bc1610dd15'
-         '15b42b41e98410d8d7ec4f91d0cff190')
+         '15b42b41e98410d8d7ec4f91d0cff190'
+         'da5129eee9517d00985a354055d778a9'
+         '62adbf90657b17dae429fc92937af513')
 
 build() {
   cd "${srcdir}/PolicyKit-${pkgver}"
   patch -Np1 -i "${srcdir}/pk-ck-api-change.patch" || return 1
+  patch -Np1 -i "${srcdir}/polkit-0.8-dbus-policy.patch" || return 1
+  patch -Np1 -i "${srcdir}/entry-leak.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
               --libexecdir=/usr/lib/PolicyKit --disable-static \
 	      --with-polkit-user=policykit --with-polkit-group=policykit || return 1

Copied: policykit/repos/extra-x86_64/entry-leak.patch (from rev 38830, policykit/trunk/entry-leak.patch)
===================================================================
--- extra-x86_64/entry-leak.patch	                        (rev 0)
+++ extra-x86_64/entry-leak.patch	2009-05-10 16:07:20 UTC (rev 38831)
@@ -0,0 +1,37 @@
+diff -up PolicyKit-0.9/src/polkit/polkit-policy-file-entry.c.entry-leak PolicyKit-0.9/src/polkit/polkit-policy-file-entry.c
+--- PolicyKit-0.9/src/polkit/polkit-policy-file-entry.c.entry-leak	2008-08-29 21:47:22.000000000 -0400
++++ PolicyKit-0.9/src/polkit/polkit-policy-file-entry.c	2008-08-29 21:50:13.000000000 -0400
+@@ -95,9 +95,11 @@ _polkit_policy_file_entry_new   (const c
+         char *contents;
+         size_t contents_size;
+         PolKitPolicyFileEntry *pfe;
++        char **tokens;
+ 
+         path = NULL;
+         contents = NULL;
++        tokens = NULL;
+ 
+         kit_return_val_if_fail (action_id != NULL && polkit_action_validate_id (action_id), NULL);
+ 
+@@ -153,7 +155,6 @@ _polkit_policy_file_entry_new   (const c
+         }
+ 
+         if (contents != NULL) {
+-                char **tokens;
+                 size_t num_tokens;
+                 PolKitResult any;
+                 PolKitResult inactive;
+@@ -183,11 +184,13 @@ _polkit_policy_file_entry_new   (const c
+ 
+         kit_free (path);
+         kit_free (contents);
++        kit_strfreev (tokens);
+ 
+         return pfe;
+ error:
+         kit_free (path);
+         kit_free (contents);
++        kit_strfreev (tokens);
+         if (pfe != NULL)
+                 polkit_policy_file_entry_unref (pfe);
+         return NULL;

Copied: policykit/repos/extra-x86_64/polkit-0.8-dbus-policy.patch (from rev 38830, policykit/trunk/polkit-0.8-dbus-policy.patch)
===================================================================
--- extra-x86_64/polkit-0.8-dbus-policy.patch	                        (rev 0)
+++ extra-x86_64/polkit-0.8-dbus-policy.patch	2009-05-10 16:07:20 UTC (rev 38831)
@@ -0,0 +1,12 @@
+--- PolicyKit-0.8.orig/polkitd/org.freedesktop.PolicyKit.conf.in	2008-12-08 10:55:12.000000000 -0500
++++ PolicyKit-0.8/polkitd/org.freedesktop.PolicyKit.conf.in	2008-12-08 12:05:33.000000000 -0500
+@@ -8,4 +8,9 @@
+   <policy user="@polkituser@">
+     <allow own="org.freedesktop.PolicyKit"/>
+   </policy>
++
++  <!-- any user can talk to the service (fd.o #18948) -->
++  <policy context="default">
++    <allow send_destination="org.freedesktop.PolicyKit"/>
++  </policy>
+ </busconfig>



More information about the arch-commits mailing list